Headless LMS

Update an automation

PATCH /api/automations/{id}. Update an automation. Headless LMS Automations API reference.

PATCH
/api/automations/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/automations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "orgId": "string",  "id": "string",  "name": "string",  "description": "string",  "trigger": "string",  "actions": [    {      "type": "string",      "input": {        "property1": null,        "property2": null      }    }  ],  "enabled": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string"}